#!/bin/sh
#############################################################################
## Licensed Materials - Property of IBM
##
## Governed under the terms of the International
## License Agreement for Non-Warranted Sample Code.
##
## (C) COPYRIGHT International Business Machines Corp. 2006
## All Rights Reserved.
##
## US Government Users Restricted Rights - Use, duplication or
## disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
##
##   Title:	encrypt-once.sh
##   Description: Generates an encrypted password for RFIDICServer.xml
##		
##
#############################################################################

# include the RFIDIC environment settings
SCRIPT_DIR=`dirname $0`
if [ -n "$RFIDIC_HOME" -a -d $RFIDIC_HOME"/bin" ];then
        . $RFIDIC_HOME/bin/rfidic-env.sh
else
        . $SCRIPT_DIR/rfidic-env.sh
fi

# echo -n "Enter your password: "
rfidic-get-message.sh -n RFID07501U
#TODO workaround for reading password in AIX...
stty -echo
read PASSWORD
stty echo
echo
java -classpath "$CLASSPATH" com.ibm.rfidic.utils.console.EncryptPassword $PASSWORD -xml;unset PASSWORD
