--Migrate 1.1.0.3 DB schema to AMP

CREATE TABLE SERIALID.IDSPACE (
		IDSPACE_ID SERIAL NOT NULL ,
		RESOURCE_ID INTEGER NOT NULL,
		IDSPACE_START INT8 NOT NULL,
		IDSPACE_END INT8 NOT NULL,
		ID_AVAILABLE INT8 NOT NULL,
		IDSPACE_TYPE INTEGER NOT NULL,
		STATE INTEGER NOT NULL
	);

ALTER TABLE SERIALID.IDSPACE ADD CONSTRAINT PRIMARY KEY (IDSPACE_ID) 
CONSTRAINT PK_IDSPACE_ID;

CREATE TABLE SERIALID.IDSTORE (
		REQUEST_ID INT8 NOT NULL,
		ENCODINGTYPE VARCHAR(50) NOT NULL,
		QUANTITY INT8 NOT NULL,
		TAGPREFIX VARCHAR(50) NOT NULL,
		NUMBERS BLOB
	);
	
ALTER TABLE SERIALID.SID_RESOURCE ADD (IDSPACEMANAGEMENT INTEGER);
ALTER TABLE SERIALID.SID_RESOURCE ADD (PERCENTAGERANDOM INTEGER);
ALTER TABLE SERIALID.SID_RESOURCE ADD (BLOCK_ALLOCATION_TYPE INTEGER);

ALTER TABLE SERIALID.SERIALID_INVENTORY MODIFY (BLOCK_ID SERIAL8);
ALTER TABLE SERIALID.SERIALID_INVENTORY ADD (IDSPACE_ID INTEGER);
ALTER TABLE SERIALID.SERIALID_INVENTORY ADD (STATE INTEGER);

--Create rfidic.unique_id table

CREATE TABLE RFIDIC.UNIQUE_ID (
		ENTITY VARCHAR(100) NOT NULL,
		ID INTEGER NOT NULL
	);

ALTER TABLE RFIDIC.UNIQUE_ID ADD CONSTRAINT PRIMARY KEY (ENTITY) CONSTRAINT PK_ENTITY;

ALTER TABLE MDMSCHEMA.VOCABULARY_ELEMENT_ATTRIBS MODIFY (VALUE VARCHAR(255) NOT NULL);
