--Migrate 1.1.0.3 DB schema to AMP

CREATE TABLE SERIALID.IDSPACE (
		IDSPACE_ID NUMBER(10) NOT NULL ,
		RESOURCE_ID NUMBER(10) NOT NULL,
		IDSPACE_START NUMBER(19) NOT NULL,
		IDSPACE_END NUMBER(19) NOT NULL,
		ID_AVAILABLE NUMBER(19) NOT NULL,
		IDSPACE_TYPE NUMBER(1) NOT NULL,
		STATE NUMBER(1)NOT NULL
	);

ALTER TABLE SERIALID.IDSPACE ADD CONSTRAINT PK_IDSPACE_ID PRIMARY KEY (IDSPACE_ID);

CREATE SEQUENCE SERIALID.IDSPACE___0
 START WITH     1
 INCREMENT BY   1
 NOCACHE
 NOCYCLE;

CREATE TABLE SERIALID.IDSTORE (
		REQUEST_ID NUMBER(19) NOT NULL,
		ENCODINGTYPE VARCHAR(50) NOT NULL,
		QUANTITY NUMBER(19) NOT NULL,
		TAGPREFIX VARCHAR(50) NOT NULL,
		NUMBERS BLOB
	);
	
ALTER TABLE SERIALID.SID_RESOURCE 
ADD (
	IDSPACEMANAGEMENT NUMBER(1),
	PERCENTAGERANDOM NUMBER(3),
	BLOCK_ALLOCATION_TYPE NUMBER(1)
);


ALTER TABLE SERIALID.SERIALID_INVENTORY MODIFY (BLOCK_ID NUMBER(19));

ALTER TABLE SERIALID.SERIALID_INVENTORY 
ADD (
	IDSPACE_ID NUMBER(10),
 	STATE NUMBER(1)
);

--Create rfidic.unique_id table

CREATE TABLE RFIDIC.UNIQUE_ID (
		ENTITY VARCHAR(100) NOT NULL,
		ID NUMBER(10) NOT NULL
	);

ALTER TABLE RFIDIC.UNIQUE_ID ADD CONSTRAINT PK_ENTITY PRIMARY KEY (ENTITY);

ALTER TABLE MDMSCHEMA.VOCABULARY_ELEMENT_ATTRIBS MODIFY (VALUE NOT NULL);



